Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	The Linux NFS utility package
Name:		nfs-utils
Version:	1.2.2
Release:	2
BuildArch:	i686
Group:		System/Servers
License:	GNU/GPL
Source:		%{name}-%{version}.tar.bz2
Source1:	exports
Source2:	nfs-client.init
Source3:	nfs-server.init
Source4:	nfs-server.sysconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

#Manual build dependencies
BuildRequires:	tcp_wrappers-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	libnfsidmap-devel
BuildRequires:	libevent-devel

Requires:	portmap >= 6.0
Requires:	tcp_wrappers

Requires(post,preun):	/sbin/chkconfig
Requires(post,preun):	/sbin/service

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libcap-devel
BuildRequires: libevent-devel
BuildRequires: libnfsidmap-devel
BuildRequires: libtirpc-devel
BuildRequires: util-linux-ng

%description
The nfs-utils package provides a daemon for the kernel NFS server and
related tools, which provides a much higher level of performance than the
traditional Linux NFS server used by most users.

This package also contains the showmount program.  Showmount queries the
mount daemon on a remote host for information about the NFS (Network File
System) server on the remote host.  For example, showmount can display the
clients which are mounted on that host.

%package	server
Summary: 	nfs-utils server.
Group: 		System/Servers
Requires: 	%{name} = %{version}-%{release}

%description	server
This package contains the server files only.

%pre
if [ "`grep rpcuser /etc/group`" = "" ]; then
    /usr/sbin/groupadd -g 29 rpcuser &>/dev/null 
fi

if [ "`grep -q rpcuser /etc/passwd`" = "" ]; then
    /usr/sbin/useradd -c "RPC Service User" \
    -s /sbin/nologin -u 29 -d /var/lib/nfs -g rpcuser rpcuser &>/dev/null
fi
if [ "`grep nogroup /etc/group`" = "" ]; then
	/usr/sbin/groupadd -g 65534 nogroup &>/dev/null
fi
if [ "`grep nobody /etc/passwd`" = "" ]; then
	/usr/sbin/useradd -u 65534 -c 'Dummy user' -d / -s /bin/false -g nogroup nobody &>/dev/null
fi

%preun
if [ "$1" = "0" ]; then
    /usr/sbin/userdel rpcuser 2>/dev/null 
    /usr/sbin/groupdel rpcuser 2>/dev/null 
fi
exit 0

%preun server
# stopping services and remove them
/sbin/service nfs-server stop > /dev/null 2>&1 || :;
/sbin/chkconfig --del nfs-server
# delete user and group
if [ "$1" = "0" ]; then
    /usr/sbin/userdel rpcuser 2>/dev/null 
    /usr/sbin/groupdel rpcuser 2>/dev/null 
fi
exit 0

%post
ldconfig
/sbin/chkconfig --add nfs-client >/dev/null 2>&1 || :;

%post server
# Run nfs-server by default:
/sbin/chkconfig --add nfs-server >/dev/null 2>&1 || :;

%prep
%setup -n %{name}-%{version}

%build
%configure \
--mandir=%_mandir \
--with-statedir=/var/lib/nfs \
--with-statduser=rpcuser \
--enable-nfsv3 \
--enable-nfsv4 \
--enable-nfsv41 \
--disable-gss \
--enable-tirpc \
--enable-ipv6
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT/var/lib/nfs/statd
install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 -d $RPM_BUILD_ROOT/etc/sysconfig
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/nfs-client
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/nfs-server
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/nfs-server

# removing conflicts
rm -f $RPM_BUILD_ROOT%_mandir/man5/idmapd.conf*

%clean
rm -rf $RPM_BUILD_ROOT

%files server
%defattr(-,root,root)
%config(noreplace) /etc/sysconfig/nfs-server
%config(noreplace) /etc/exports
/etc/rc.d/init.d/nfs-server

%files
%defattr(-,root,root)
%doc ChangeLog README linux-nfs
%dir %attr(700,rpcuser,rpcuser) /var/lib/nfs/statd
%dir %attr(700,rpcuser,rpcuser) /var/lib/nfs/sm
%dir %attr(700,rpcuser,rpcuser) /var/lib/nfs/sm.bak
%attr(700,rpcuser,rpcuser) /var/lib/nfs/state
%config(noreplace) /var/lib/nfs/xtab
%config(noreplace) /var/lib/nfs/etab
%config(noreplace) /var/lib/nfs/rmtab
/etc/rc.d/init.d/nfs-client
/sbin/mount.nfs
/sbin/mount.nfs4
/sbin/umount.nfs
/sbin/umount.nfs4
%_sbindir/exportfs
%_sbindir/rpc.mountd
%_sbindir/rpc.nfsd
%_sbindir/nfsstat
%_sbindir/showmount
%_sbindir/rpcdebug
%_sbindir/rpc.statd
%_sbindir/rpc.idmapd
%_sbindir/sm-notify
%_sbindir/start-statd
%_mandir/man5/exports.5.gz
%_mandir/man5/nfs.5.gz
%_mandir/man7/nfsd.7.gz
%_mandir/man8/idmapd.8.gz
%_mandir/man8/rpc.idmapd.8.gz
%_mandir/man8/nfsstat.8.gz
%_mandir/man8/showmount.8.gz
%_mandir/man8/rpc.nfsd.8.gz
%_mandir/man8/statd.8.gz
%_mandir/man8/rpc.statd.8.gz
%_mandir/man8/mountd.8.gz
%_mandir/man8/nfsd.8.gz
%_mandir/man8/rpc.mountd.8.gz
%_mandir/man8/exportfs.8.gz
%_mandir/man8/rpcdebug.8.gz
%_mandir/man8/mount.nfs.8.gz
%_mandir/man8/rpc.sm-notify.8.gz
%_mandir/man8/sm-notify.8.gz
%_mandir/man8/umount.nfs.8.gz

%changelog
* Sat May 29 2010 Christian Metzen <metzench@ccux-linux.de> 1.2.2-2
- rebuild package to be upstream with older packages again
- add chkconfig calls for nfs-client
- add BuildArch for ccuxbuild
* Tue May 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2.2-1
- version update
- enabled support for IPV6, NFSv4, NFSv41
* Wed Sep 16 2009 Christian Wasem <wasem@ccux-linux.de> 1.2.0-3
- rebuild against libevent-1.4.12
- disabled nfs4 support: no access from Windows(TM) machines
* Sat Aug 15 2009 Christian Wasem <wasem@ccux-linux.de> 1.2.0-2
- updates nfs-server and exports
* Fri Aug 14 2009 Christian Wasem <wasem@ccux-linux.de> 1.2.0-1
- version update, building against libnfsidmap
* Sun Mar 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-1
- version update
* Fri Oct 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- version update
* Mon Aug 20 2007 Christian Metzen <metzench@ccux-linux.de> 1.1.0-3
- rebuild for missing server package
* Wed Aug 08 2007 Christian Wasem <wasem@ccux-linux.de> 1.1.0-2
- added chkconfig functionality, added server only package
* Wed May 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- version update
* Wed Feb 27 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.0.12-1
- version update
* Tue Jan 30 2007 Stefan Gottwadl <gotti@ccux-linux.de> 1.0.10-1
- Correct silly typing error which prevent the adding of user nobody
- version update
* Thu Aug 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.0.7-2
- Add nfs automount to init file nfs-client
* Wed May 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.7-1
- Tweaked Spec File, added new Summary, description, changelog
- Version update to 1.0.7
- new init Scripts
* Fri Mar 20 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.0.6-1
- Initial Build
